# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class FriendEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<FriendEntry>
                  com.google.gdata.data.youtube.FriendEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class FriendEntry

extends BaseEntry<FriendEntry>

An entry that corresponds to a youtube contact/friend as displayed on the user contacts feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static java.lang.String[]` `CATEGORIES` Nonstandard categories that might be found in this entry.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`FriendEntry()`
`FriendEntry(BaseEntry<?> base)`

Method Summary
`void` `addUserProfileLink(java.lang.String url)` Adds a link to the user profile.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares extensions used in this entry.
`Email` `getEmail()` Gets the contact e-mail address (for e-mail contacts.)
`YtStatus.Value` `getStatus()` Gets the contact status.
`java.lang.String` `getUsername()` Gets the youtube username of the contact (for youtube user contacts).
`java.lang.String` `getUserProfileLink()` Gets the url pointing to the user profile entry of this contact.
`void` `setEmail(Email email)` Sets the contact e-mail address (for e-mail contacs.)
`void` `setStatus(YtStatus.Value status)` Sets the contact status.
`void` `setUsername(java.lang.String name)` Sets the youtube username of the contact (for youtube user contacts).

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATEGORIES

    public static final java.lang.String[] CATEGORIES

  Nonstandard categories that might be found in this entry.

Constructor Detail

### FriendEntry

    public FriendEntry()

### FriendEntry

    public FriendEntry(BaseEntry<?> base)

Method Detail

### getUsername

    public java.lang.String getUsername()

  Gets the youtube username of the contact (for youtube user contacts).

### setUsername

    public void setUsername(java.lang.String name)

  Sets the youtube username of the contact (for youtube user contacts).

### setStatus

    public void setStatus(YtStatus.Value status)

  Sets the contact status.

### getStatus

    public YtStatus.Value getStatus()

  Gets the contact status.

### getUserProfileLink

    public java.lang.String getUserProfileLink()

  Gets the url pointing to the user profile entry of this contact.

### addUserProfileLink

    public void addUserProfileLink(java.lang.String url)

  Adds a link to the user profile.

### getEmail

    public Email getEmail()

  Gets the contact e-mail address (for e-mail contacts.)

### setEmail

    public void setEmail(Email email)

  Sets the contact e-mail address (for e-mail contacs.)

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Declares extensions used in this entry.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`